class_name Trigger extends Area2D

@export var intent:String = "destroy"
signal triggerActiveSignal(body, intentMessage)

func _on_body_entered(body: Node2D) -> void:
	print("Body entered Trigger")
	triggerActiveSignal.emit(body,intent)
